Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ExceptionHandler

    java.lang.Object
      com.sun.squawk.ExceptionHandler

    public final class ExceptionHandler

extends Object

An instance of `ExceptionHandler` describes a single exception handler in a method. It can be used to represent an exception handler in a JVM or Squawk method.

Constructor Summary
`ExceptionHandler(int start, int end, int handler, Klass klass)` Create an exception handler.

Method Summary
`int` | `getEnd()` Gets the address at which this exception handler becomes deactive.
`int` | `getHandler()` Gets the address of the entry to this exception handler.
`Klass` | `getKlass()` Gets the subclass of `Throwable` caught by this handler.
`int` | `getStart()` Gets the address at which this exception handler becomes active.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHandler

    public ExceptionHandler(int start,
                            int end,
                            int handler,
                            Klass klass)

  Create an exception handler.

  Parameters:
    `start` - the start of code range protected by the handler
    `end` - the end of code range protected by the handler
    `handler` - the handler's entry point
    `klass` - the `Throwable` subclass caught by the handler.

Method Detail

### getStart

    public int getStart()

  Gets the address at which this exception handler becomes active.

  Returns:
    the address at which this exception handler becomes active

### getEnd

    public int getEnd()

  Gets the address at which this exception handler becomes deactive.

  Returns:
    the address at which this exception handler becomes deactive

### getHandler

    public int getHandler()

  Gets the address of the entry to this exception handler.

  Returns:
    the address of the entry to this exception handler

### getKlass

    public Klass getKlass()

  Gets the subclass of `Throwable` caught by this handler.

  Returns:
    the subclass of `Throwable` caught by this handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"